Subject: [bess] Comment on draft-ietf-bess-service-chaining-06

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 4 Dec 2018 17:10:08 -0500

I just read the new revision of draft-ietf-bess-service-chaining. Although
the draft doesn't use the RFC 8300 NSH, it could very easily take advantage
of features provided by the NSH (such as metadata) by adding NSH over MPLS
as defined in draft-ietf-mpls-sfc-encapsulation to the list of
encapsulations listed in section 2.5. And this draft provides an excellent
label distribution mechanism for NSH over MPLS. It would make a lot of
sense to add a reference to draft-ietf-mpls-sfc-encapsulation in the list
of encapsulations in section 2.5.

Thanks,
Andy

---

From: Stuart Mackie <[email-masked]>
Date: Wed, 19 Dec 2018 22:59:12 +0000

Hi Andy,

I‘m struggling to make the connection, since draft-ietf-bess-service-chaining is specifically about how to do service chaining without needing a new protocol like NSH, so SFF labels would never be used.

In draft-ietf-bess-service-chaining , if MPLS transport were used between Service Function Forwarders, a label would be allocated for a SF interface when a route pointing to it is installed (by the controller). This would be advertised to the controller and from there sent to the forwarders with egress interfaces for the previous SF in the chain. The label would be used at the bottom of the MPLS stack as is done normally.

Cheers

Stuart
-914 886 2534

From: "Andrew G. Malis" <[email-masked]>
Date: Tuesday, December 4, 2018 at 5:10 PM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Comment on draft-ietf-bess-service-chaining-06
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, December 4, 2018 at 5:10 PM

I just read the new revision of draft-ietf-bess-service-chaining. Although the draft doesn't use the RFC 8300 NSH, it could very easily take advantage of features provided by the NSH (such as metadata) by adding NSH over MPLS as defined in draft-ietf-mpls-sfc-encapsulation to the list of encapsulations listed in section 2.5. And this draft provides an excellent label distribution mechanism for NSH over MPLS. It would make a lot of sense to add a reference to draft-ietf-mpls-sfc-encapsulation in the list of encapsulations in section 2.5.

Thanks,
Andy

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 19 Dec 2018 20:16:42 -0500

Stuart,

Thanks for your reply. I can see your point about wanting to do service
chaining without the NSH (as I'm sure you're aware, draft-ietf-mpls-sfc is
another example of this), but would you never have the need for service
chain per-packet metadata as it's being used in the SFC WG?

Even if the answer to that question is currently no, my other point remains
that this draft provides an excellent label distribution mechanism for NSH
over MPLS, which usage I'm confident will be defined in the future. I agree
that doesn't require an anticipatory reference in the draft. But it might
be nice ... :-)

Cheers,
Andy

On Wed, Dec 19, 2018 at 5:59 PM Stuart Mackie <[email-masked]> wrote:

> Hi Andy,
>
>
>
> I‘m struggling to make the connection, since
> draft-ietf-bess-service-chaining is specifically about how to do service
> chaining without needing a new protocol like NSH, so SFF labels would never
> be used.
>
>
>
> In draft-ietf-bess-service-chaining , if MPLS transport were used between
> Service Function Forwarders, a label would be allocated for a SF interface
> when a route pointing to it is installed (by the controller). This would be
> advertised to the controller and from there sent to the forwarders with
> egress interfaces for the previous SF in the chain. The label would be used
> at the bottom of the MPLS stack as is done normally.
>
>
>
> Cheers
>
>
>
> Stuart
>
> -914 886 2534
>
>
>
> *From: *"Andrew G. Malis" <[email-masked]>
> *Date: *Tuesday, December 4, 2018 at 5:10 PM
> *To: *"[email-masked]" <[email-masked]>, "
> [email-masked]" <
> [email-masked]>
> *Cc: *"[email-masked]" <
> [email-masked]>
> *Subject: *Comment on draft-ietf-bess-service-chaining-06
> *Resent-From: *<[email-masked]>
> *Resent-To: *<[email-masked]>, <[email-masked]>, <[email-masked]>, <
> [email-masked]>, <[email-masked]>, <[email-masked]>
> *Resent-Date: *Tuesday, December 4, 2018 at 5:10 PM
>
>
>